# Class ReflectionUtil

java.lang.Object
picard.util.ReflectionUtil

public class ReflectionUtil extends Object
Class which contains utility functions that use reflection.

## Constructor Summary

Constructors
Constructor
Description
`ReflectionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static <T, S extends T>
void`
`copyFromBaseClass(T base, S derived)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectionUtil

public ReflectionUtil()

## Method Details

### copyFromBaseClass

public static <T, S extends T> void copyFromBaseClass(T base, S derived)